<?php class CT_ms_item_part_list extends CI_Controller{
	function __construct()
	{
	  parent::__construct();
		if (!$this->dx_auth->is_logged_in()) {
			header('HTTP/1.1 401 Unauthorize');die('expire'); 
		}
		
		$uid = $this->session->userdata('DX_user_id');
		
		if(!permissionAuth(2) && $uid != RID){ 
			header('HTTP/1.1 401 Unauthorize');die('noaccess');
		} 
	}
	
	// function index(){
		// $ms_item_id = (isset($_POST['ms_item_id']) && !empty($_POST['ms_item_id']))?$_POST['ms_item_id']:die('{"sts":"ERROR","desc":" Param Tidak Ditemukan"}');
		// $data["ms_item_id"] = $ms_item_id; 
		
		// $this->load->view('ms_master/view_ms_item_part_list_dtl', $data);
	// }
	
	// function loaddata(){
		
		// $def_col= array();    
		// $spt='dbo.MG_MS_ITEM_PART_LIST_DETAIL'; 
		// $def_col['rID']=array("db" => "rID" ,"sc" => "rID","ctype"=>"int", "bypassvalue"=>"");
		// $def_col['r1']=array("db" => "r1" ,"sc" => "r1","ctype"=>"int", "bypassvalue"=>"");
		// $def_col['r2']=array("db" => "r2" ,"sc" => "r2","ctype"=>"text", "bypassvalue"=>"");
		// $def_col['r3']=array("db" => "r3" ,"sc" => "r3","ctype"=>"text", "bypassvalue"=>"");
		// $def_col['r4']=array("db" => "r4" ,"sc" => "r4","ctype"=>"text", "bypassvalue"=>"");
		// $def_col['r5']=array("db" => "r5" ,"sc" => "r5","ctype"=>"text", "bypassvalue"=>"");
		// $def_col['r6']=array("db" => "r6" ,"sc" => "r6","ctype"=>"text", "bypassvalue"=>"");
		// $def_col['r7']=array("db" => "r7" ,"sc" => "r7","ctype"=>"text", "bypassvalue"=>"");
		// $def_col['r8']=array("db" => "r8" ,"sc" => "r8","ctype"=>"text", "bypassvalue"=>"");
		// $def_col['r9']=array("db" => "r9" ,"sc" => "r9","ctype"=>"text", "bypassvalue"=>"");
 		
 		// $search = isset($_POST['_search'])?$_POST['_search']:false; 
		// $searchField = isset($_POST['searchField'])?$_POST['searchField']:''; 
		// $searchString = isset($_POST['searchString'])?$_POST['searchString']:''; 
		// $filters =  isset($_POST['filters'])?$_POST['filters']:''; 
	 	 
		// $page = isset($_POST['page'])?$_POST['page']:1; // get the requested page 
		// $limit = isset($_POST['rows'])?$_POST['rows']:10; // get how many rows we want to have into the grid 
		// $sidx = isset($_POST['sidx'])?$_POST['sidx']:'rID'; // get index row - i.e. user click to sort 
		// $sord = isset($_POST['sord'])?$_POST['sord']:'0'; // get the direction 
  		// $ms_item_id = isset($_POST['ms_item_id'])?$_POST['ms_item_id']:-1; // get the direction 
  	   
		// if ($sord == 'asc') { $sord = '0'; } else if ($sord == 'desc') { $sord = '1'; } 
 		 
		// if (array_key_exists($sidx, $def_col)) {  
			// $fsidx=$def_col[$sidx];
			// $sidx=$fsidx['db'];
		// }else{
			// $sidx='rID'; //DEFAULT SORT KALU GA ADA
		// }
        // $sidx=$sidx.'='. $sord;
		  
		// $xmldoc =  XMLbasic($spt); 
		// paramViewJSON($xmldoc, $limit, $page,  $sidx, $sord); 
  		// AddField($xmldoc ,'ms_item_id',$ms_item_id); 
		 
		// if ($search == 'true'){ 
			// if (!empty($filters)){ 
				// $array = json_decode($filters); 
				
				// foreach($array->rules as $arr=>$k){ 
					// $fcr=$def_col[$k->field]; 
					// if ($fcr != null) 
					// { 
						// if ($fcr['ctype']=='int'){ 
							// $searchString = $k->data; 
							// if ($searchString!=$fcr['bypassvalue'])  
								// addSearchNum($xmldoc,$fcr['sc'],$searchString,'2','1');  
			 					  
						// } 
						// elseif ($fcr['ctype']=='text'){ 
							// $searchString = $k->data; 
							// if ($searchString!=$fcr['bypassvalue']) 
								// addSearchText($xmldoc,$fcr['sc'],'1','1',$searchString); 
						// }  
						// elseif ($fcr['ctype']=='date'){ 
							// $searchString = $k->data; 
							// if (trim($searchString) != '' ){ 
								// $dateArray=explode('/',$searchString);  
								// $searchString = $dateArray[2].$dateArray[1].$dateArray[0]; 
							// } 
								// addSearchDate($xmldoc,$fcr['sc'],$searchString,'1','1'); 
						// }  
					// } 
				// } 
			// } 
	   // }  
  
		// $str = $xmldoc->saveXML();   
		// // print_r($str);die();
		// wh_exec_sp_json($xmldoc, $spt,$sts,$des,$rows,$detail);  
  		// echo $rows; 
	// }

	function find_part_list(){
		
		$findtext = isset($_REQUEST['findtext']) ? $_REQUEST['findtext']:'';  
		$xmldata = XMLbasic('dbo.MG_MS_ITEM_FIND_PART_LIST');
		AddField($xmldata,'findtext',$findtext);   
		AddField($xmldata,'rows','10');  
		// $str = $xmldata->saveXML();
		// print_r($str);die();
		wh_exec_sp_xml($xmldata, 'dbo.MG_MS_ITEM_FIND_PART_LIST',$stsno,$stsdes,$rows,$detail);
		$i=0;
		foreach ($rows as $per_row) 
		{
			$responce->rows[$i]['rID']=getXMLValue($per_row,'rID');
			$responce->rows[$i]['r1']=getXMLValue($per_row,'r1');   
			$i++; 
		}
		
		if ($i==0)
		{
			die('empty data'); 
  		}
		
		echo json_encode($responce);
	}
	
	function find_car_line(){
		
		$findtext = isset($_REQUEST['findtext']) ? $_REQUEST['findtext']:'';  
		$xmldata = XMLbasic('dbo.MG_MS_FIND_CAR_LINE');
		AddField($xmldata,'findtext',$findtext);   
		AddField($xmldata,'rows','10');  
		wh_exec_sp_xml($xmldata, 'dbo.MG_MS_FIND_CAR_LINE',$stsno,$stsdes,$rows,$detail);
		$i=0;
		foreach ($rows as $per_row) 
		{
			$responce->rows[$i]['rID']=getXMLValue($per_row,'rID');
			$responce->rows[$i]['r1']=getXMLValue($per_row,'r1');   
			$i++; 
		}
		
		if ($i==0)
		{
			die('empty data'); 
  		}
		
		echo json_encode($responce);
	}
	
	function find_assets_list(){
		
		$findtext = isset($_REQUEST['findtext']) ? $_REQUEST['findtext']:'';  
		$xmldata = XMLbasic('dbo.MG_MS_ITEM_FIND_ASSETS_LIST');
		AddField($xmldata,'findtext',$findtext);   
		AddField($xmldata,'rows','10');  
		// $str = $xmldata->saveXML();
		// print_r($str);die();
		wh_exec_sp_xml($xmldata, 'dbo.MG_MS_ITEM_FIND_ASSETS_LIST',$stsno,$stsdes,$rows,$detail);
		$i=0;
		foreach ($rows as $per_row) 
		{
			$responce->rows[$i]['rID']=getXMLValue($per_row,'rID');
			$responce->rows[$i]['r1']=getXMLValue($per_row,'r1');   
			$i++; 
		}
		
		if ($i==0)
		{
			die('empty data'); 
  		}
		
		echo json_encode($responce);
	}
}